Bug 1246720 - Review Request: nodejs-prismjs - Lightweight, robust, elegant syntax highlighting
Summary: Review Request: nodejs-prismjs - Lightweight, robust, elegant syntax highligh...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1228942 1233101
TreeView+ depends on / blocked
 
Reported: 2015-07-25 03:11 UTC by Eduardo Mayorga
Modified: 2015-08-19 08:02 UTC (History)
3 users (show)

Fixed In Version: nodejs-prismjs-1.0.1-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-19 08:02:27 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Eduardo Mayorga 2015-07-25 03:11:29 UTC
Spec URL: https://mayorga.fedorapeople.org/nodejs-prismjs.spec
SRPM URL: https://mayorga.fedorapeople.org/nodejs-prismjs-9000.0.1-1.fc22.src.rpm
Description: Prism is a lightweight, robust, elegant syntax highlighting library.
Fedora Account System Username: mayorga

Comment 1 Christopher Meng 2015-07-25 17:51:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* MIT/X11 (BSD like)", "Unknown or generated".
     152 files have unknown license. Detailed output of licensecheck:

*No copyright* MIT/X11 (BSD like)
---------------------------------
package/components/prism-core.js
package/prism.js

Unknown or generated
--------------------
package/components/prism-actionscript.js
package/components/prism-actionscript.min.js
package/components/prism-apacheconf.js
package/components/prism-apacheconf.min.js
package/components/prism-applescript.js
package/components/prism-applescript.min.js
package/components/prism-aspnet.js
package/components/prism-aspnet.min.js
package/components/prism-autohotkey.js
package/components/prism-autohotkey.min.js
package/components/prism-bash.js
package/components/prism-bash.min.js
package/components/prism-c.js
package/components/prism-c.min.js
package/components/prism-clike.js
package/components/prism-clike.min.js
package/components/prism-coffeescript.js
package/components/prism-coffeescript.min.js
package/components/prism-core.min.js
package/components/prism-cpp.js
package/components/prism-cpp.min.js
package/components/prism-csharp.js
package/components/prism-csharp.min.js
package/components/prism-css-extras.js
package/components/prism-css-extras.min.js
package/components/prism-css.js
package/components/prism-css.min.js
package/components/prism-dart.js
package/components/prism-dart.min.js
package/components/prism-eiffel.js
package/components/prism-eiffel.min.js
package/components/prism-erlang.js
package/components/prism-erlang.min.js
package/components/prism-fortran.js
package/components/prism-fortran.min.js
package/components/prism-fsharp.js
package/components/prism-fsharp.min.js
package/components/prism-gherkin.js
package/components/prism-gherkin.min.js
package/components/prism-git.js
package/components/prism-git.min.js
package/components/prism-go.js
package/components/prism-go.min.js
package/components/prism-groovy.js
package/components/prism-groovy.min.js
package/components/prism-haml.js
package/components/prism-haml.min.js
package/components/prism-handlebars.js
package/components/prism-handlebars.min.js
package/components/prism-haskell.js
package/components/prism-haskell.min.js
package/components/prism-http.js
package/components/prism-http.min.js
package/components/prism-ini.js
package/components/prism-ini.min.js
package/components/prism-jade.js
package/components/prism-jade.min.js
package/components/prism-java.js
package/components/prism-java.min.js
package/components/prism-javascript.js
package/components/prism-javascript.min.js
package/components/prism-jsx.js
package/components/prism-jsx.min.js
package/components/prism-julia.js
package/components/prism-julia.min.js
package/components/prism-latex.js
package/components/prism-latex.min.js
package/components/prism-less.js
package/components/prism-less.min.js
package/components/prism-lolcode.js
package/components/prism-lolcode.min.js
package/components/prism-markdown.js
package/components/prism-markdown.min.js
package/components/prism-markup.js
package/components/prism-markup.min.js
package/components/prism-matlab.js
package/components/prism-matlab.min.js
package/components/prism-nasm.js
package/components/prism-nasm.min.js
package/components/prism-nsis.js
package/components/prism-nsis.min.js
package/components/prism-objectivec.js
package/components/prism-objectivec.min.js
package/components/prism-pascal.js
package/components/prism-pascal.min.js
package/components/prism-perl.js
package/components/prism-perl.min.js
package/components/prism-php-extras.js
package/components/prism-php-extras.min.js
package/components/prism-php.js
package/components/prism-php.min.js
package/components/prism-powershell.js
package/components/prism-powershell.min.js
package/components/prism-python.js
package/components/prism-python.min.js
package/components/prism-r.js
package/components/prism-r.min.js
package/components/prism-rest.js
package/components/prism-rest.min.js
package/components/prism-rip.js
package/components/prism-rip.min.js
package/components/prism-ruby.js
package/components/prism-ruby.min.js
package/components/prism-rust.js
package/components/prism-rust.min.js
package/components/prism-sas.js
package/components/prism-sas.min.js
package/components/prism-scala.js
package/components/prism-scala.min.js
package/components/prism-scheme.js
package/components/prism-scheme.min.js
package/components/prism-scss.js
package/components/prism-scss.min.js
package/components/prism-smalltalk.js
package/components/prism-smalltalk.min.js
package/components/prism-smarty.js
package/components/prism-smarty.min.js
package/components/prism-sql.js
package/components/prism-sql.min.js
package/components/prism-stylus.js
package/components/prism-stylus.min.js
package/components/prism-swift.js
package/components/prism-swift.min.js
package/components/prism-twig.js
package/components/prism-twig.min.js
package/components/prism-typescript.js
package/components/prism-typescript.min.js
package/components/prism-wiki.js
package/components/prism-wiki.min.js
package/components/prism-yaml.js
package/components/prism-yaml.min.js
package/examples.js
package/gulpfile.js
package/plugins/autolinker/prism-autolinker.js
package/plugins/autolinker/prism-autolinker.min.js
package/plugins/file-highlight/prism-file-highlight.js
package/plugins/file-highlight/prism-file-highlight.min.js
package/plugins/highlight-keywords/prism-highlight-keywords.js
package/plugins/highlight-keywords/prism-highlight-keywords.min.js
package/plugins/ie8/prism-ie8.js
package/plugins/ie8/prism-ie8.min.js
package/plugins/line-highlight/prism-line-highlight.js
package/plugins/line-highlight/prism-line-highlight.min.js
package/plugins/line-numbers/prism-line-numbers.js
package/plugins/line-numbers/prism-line-numbers.min.js
package/plugins/show-invisibles/prism-show-invisibles.js
package/plugins/show-invisibles/prism-show-invisibles.min.js
package/plugins/show-language/prism-show-language.js
package/plugins/show-language/prism-show-language.min.js
package/plugins/wpd/prism-wpd.js
package/plugins/wpd/prism-wpd.min.js
package/vendor/promise.js

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-prismjs-9000.0.1-1.fc24.noarch.rpm
          nodejs-prismjs-9000.0.1-1.fc24.src.rpm
nodejs-prismjs.noarch: W: only-non-binary-in-usr-lib
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
nodejs-prismjs.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nodejs-prismjs (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-prismjs:
    nodejs-prismjs
    npm(prismjs)



Source checksums
----------------
http://registry.npmjs.org/prismjs/-/prismjs-9000.0.1.tgz :
  CHECKSUM(SHA256) this package     : ff6e6a4512d82af783b2ce0b9ba8dd6431458acc16885d65d9945a4911583b64
  CHECKSUM(SHA256) upstream package : ff6e6a4512d82af783b2ce0b9ba8dd6431458acc16885d65d9945a4911583b64


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -rvn nodejs-prismjs-9000.0.1-1.fc22.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

------------------------------------------------
1. Why are tests disabled? At least reasons should be logged around.

2. I saw the newest tag on github is 1.0. And npmjs has 9000 ver, seems unclear, please ask upstream if possible to ensure the versioning is correct.

Comment 2 Eduardo Mayorga 2015-07-26 05:07:53 UTC
(In reply to Christopher Meng from comment #1)
> 1. Why are tests disabled? At least reasons should be logged around.

I could not find any. Can you help me with this?

> 2. I saw the newest tag on github is 1.0. And npmjs has 9000 ver, seems
> unclear, please ask upstream if possible to ensure the versioning is correct.

Right, the latest release is 1.0.0 (it's newer than the tarball from npm).

Spec URL: https://mayorga.fedorapeople.org/nodejs-prismjs.spec
SRPM URL: https://fedorapeople.org/~mayorga/nodejs-prismjs-1.0.0-1.fc22.src.rpm

Comment 3 Eduardo Mayorga 2015-07-26 17:23:50 UTC
Koji build task: http://koji.fedoraproject.org/koji/taskinfo?taskID=10488593

Comment 5 William Moreno 2015-08-06 18:09:34 UTC
As part of the review of python-frappe the nodejs-prismjs was removed as a bundled js library, python-frappe it is usable without this package so nodeja-primsjs it is just about add some syntax highlighting, but will be nice is python-frappe it is avaible in the Alpha release of Fedora 23 with all the depencies ready to user than can try this app in fedora for the first time  (Fedora will be the firts distro to ship frappe in repos). 

So, Christopher are you available to continue with this review or I can take it?

I ran a informal review of the last spec posted by Eduardo and I did no fine bloquers issues.

Comment 6 Christopher Meng 2015-08-11 06:16:44 UTC
1. Summary:	Lightweight, robust, elegant syntax highlighting

Summary:	Lightweight and extensible syntax highlighter

2. Change %description to

Prism is a lightweight, robust and elegant syntax highlighting library.

-----------------------------------------------------------------------
PACKAGE APPROVED

Comment 7 Eduardo Mayorga 2015-08-11 15:29:23 UTC
New Package SCM Request
=======================
Package Name: nodejs-prismjs
Short Description: Lightweight and extensible syntax highlighter
Upstream URL: http://prismjs.com/
Owners: mayorga williamjmorenor
Branches: f23
InitialCC:

Comment 8 Gwyn Ciesla 2015-08-11 17:50:40 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-08-11 18:18:48 UTC
nodejs-prismjs-1.0.1-1.fc23 has been submitted as an update for Fedora 23.
https://admin.fedoraproject.org/updates/nodejs-prismjs-1.0.1-1.fc23

Comment 10 Fedora Update System 2015-08-12 20:13:44 UTC
nodejs-prismjs-1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository.

Comment 11 Fedora Update System 2015-08-19 08:02:27 UTC
nodejs-prismjs-1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository.


Note You need to log in before you can comment on or make changes to this bug.